Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libksba8-1.6.0-1.4 RPM for armv6hl

From OpenSuSE Ports Tumbleweed for armv6hl

Name: libksba8 Distribution: openSUSE Tumbleweed
Version: 1.6.0 Vendor: openSUSE
Release: 1.4 Build date: Wed May 11 00:10:47 2022
Group: Development/Libraries/C and C++ Build host: obs-arm-11
Size: 363666 Source RPM: libksba-1.6.0-1.4.src.rpm
Packager: http://bugs.opensuse.org
Url: https://www.gnupg.org
Summary: A X.509 Library
KSBA is a library to simplify the task of working with X.509
certificates, CMS data, and related data.

Provides

Requires

License

(GPL-2.0-or-later OR LGPL-3.0-or-later) AND GPL-3.0-or-later AND MIT

Changelog

* Fri Jun 11 2021 Pedro Monreal <pmonreal@suse.com>
  - libksba 1.6.0:
    * Limited support for the Authenticated-Enveloped-Data
      content type.
    * Support password based decryption.
    * Silence warnings from static analyzers.
    * Interface changes relative to the 1.5.0 release:
    - KSBA_CT_AUTHENVELOPED_DATA       NEW.
* Wed Apr 07 2021 Andreas Stieger <andreas.stieger@gmx.de>
  - libksba 1.5.1:
    * Support Brainpool curves specified by ECDomainParameters
* Fri Nov 20 2020 Andreas Stieger <andreas.stieger@gmx.de>
  - libksba 1.5.0:
    * ksba_cms_identify now identifies OpenPGP keyblock content
    * Supports TR-03111 plain format ECDSA signature verification
    * Fixes a CMS signed data parser bug exhibited by a somewhat
    strange CMS message
  - remove deprecated texinfo macros and update signing keyring
* Wed May 20 2020 Pedro Monreal Gonzalez <pmonrealgonzalez@suse.com>
  - libksba 1.4.0:
    * Supports ECDSA and EdDSA certificate creation and parsing.
    * Supports ECDH enveloped data.
    * Supports ECDSA and EdDSA signed data.
    * Supports rsaPSS signature verification.
    * Supports standard file descriptors in ksba_reader_read.
    * Allows for optional elements in keyinfo objects.
    * Fixes error detection in the CMS parser.
    * Fixes memory leak in ksba_cms_identify.
    * New constants KSBA_VERSION and KSBA_VERSION_NUMBER.
    * New API to make creation of DER objects easy.
    * Interface changes relative to the 1.3.5 release:
    KSBA_VERSION                     NEW.
    KSBA_VERSION_NUMBER              NEW.
    KSBA_CT_SPC_IND_DATA_CTX         NEW.
    KSBA_CLASS_*                     NEW.
    KSBA_TYPE_*                      NEW.
    ksba_der_t                       NEW.
    ksba_der_release                 NEW.
    ksba_der_builder_new             NEW.
    ksba_der_builder_reset           NEW.
    ksba_der_add_ptr                 NEW.
    ksba_der_add_val                 NEW.
    ksba_der_add_int                 NEW.
    ksba_der_add_oid                 NEW.
    ksba_der_add_bts                 NEW.
    ksba_der_add_der                 NEW.
    ksba_der_add_tag                 NEW.
    ksba_der_add_end                 NEW.
    ksba_der_builder_get             NEW.
* Thu Feb 22 2018 fvogt@suse.com
  - Use %license (boo#1082318)
* Mon Aug 22 2016 astieger@suse.com
  - libksba 1.3.5:
    * Limit the allowed size of complex ASN.1 objects (e.g.
    certificates) to 16MiB.
    * Avoid read access to unitialized memory.
    * Improve detection of invalid RDNs.
    * Encode the OCSP nonce value as an octet string as described by
    RFC-6960.
* Tue May 10 2016 astieger@suse.com
  - libksba 1.3.4:
    * Fixed two OOB read access bugs which could be used to force a DoS.
    boo#979261 CVE-2016-4574, CVE-2016-4579
    * Fixed a crash due to faulty curve OID lookup code.
    * Synced the list of supported curves with those of Libgcrypt.
    * New configure option --enable-build-timestamp; a build timestamp is
    not anymore used by default.
* Fri Apr 10 2015 astieger@suse.com
  - libksba 1.3.3:
    * Fixed an integer overflow in the DN decoder.
    * Now returns an error instead of terminating the process for
    certain bad BER encodings.
    * Improved the parsing of utf-8 strings in DNs.
    * Allow building with newer versions of Bison.
* Thu Mar 19 2015 astieger@suse.com
  - remove libtool requirement
* Wed Nov 26 2014 andreas.stieger@gmx.de
  - libksba 1.3.2 [boo#907074] [CVE-2014-9087]
    This version contains a security update which fixes a buffer
    overflow in OID to string conversion code that can be triggered
    by a specially crafted S/MIME message or ECC based OpenPGP data.
    Users of GnuPG 2.x should install this version and restart the
    dirmgr process.
    * Fixed a buffer overflow in ksba_oid_to_str.
  - verify source signature

Files

/usr/lib/libksba.so.8
/usr/lib/libksba.so.8.14.0
/usr/share/doc/packages/libksba8
/usr/share/doc/packages/libksba8/AUTHORS
/usr/share/doc/packages/libksba8/ChangeLog
/usr/share/doc/packages/libksba8/NEWS
/usr/share/doc/packages/libksba8/README
/usr/share/doc/packages/libksba8/THANKS
/usr/share/doc/packages/libksba8/TODO
/usr/share/licenses/libksba8
/usr/share/licenses/libksba8/COPYING
/usr/share/licenses/libksba8/COPYING.GPLv2
/usr/share/licenses/libksba8/COPYING.GPLv3
/usr/share/licenses/libksba8/COPYING.LGPLv3


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Jun 14 23:46:20 2022